Last Comment Bug 759158 - Add accessibility status to about:support
: Add accessibility status to about:support
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla16
Assigned To: David Bolter [:davidb]
:
Mentors:
Depends on:
Blocks: 769302 769304
  Show dependency treegraph
 
Reported: 2012-05-28 11:17 PDT by David Bolter [:davidb]
Modified: 2012-06-28 12:15 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
WIP (works) (3.72 KB, patch)
2012-06-12 13:39 PDT, David Bolter [:davidb]
gavin.sharp: review+
Details | Diff | Splinter Review

Description David Bolter [:davidb] 2012-05-28 11:17:40 PDT
For all platforms. I propose a section in about:support called "Accessibility". First item could be "activated" or "instantiated".
Comment 1 Hubert Figuiere [:hub] 2012-05-28 12:11:50 PDT
Also a status like "disabled" for when we build without.
Comment 2 David Bolter [:davidb] 2012-06-12 13:39:00 PDT
Created attachment 632391 [details] [diff] [review]
WIP (works)
Comment 3 Hubert Figuiere [:hub] 2012-06-12 13:41:52 PDT
Comment on attachment 632391 [details] [diff] [review]
WIP (works)

Review of attachment 632391 [details] [diff] [review]:
-----------------------------------------------------------------

::: toolkit/content/aboutSupport.js
@@ +409,5 @@
> +  try {
> +    enabled = Components.manager.QueryInterface(Ci.nsIServiceManager)
> +      .isServiceInstantiatedByContractID(
> +        "@mozilla.org/accessibilityService;1",
> +        Ci.nsISupports);

See bug 761589: we should also have these, IMHO
Comment 4 David Bolter [:davidb] 2012-06-12 16:24:25 PDT
Sounds good.
Comment 5 David Bolter [:davidb] 2012-06-20 11:19:05 PDT
Actually hub, how about I go ahead and get this reviewed and landed, and you can do the additional support info in a follow up after 761589 is finished?
Comment 6 Hubert Figuiere [:hub] 2012-06-20 11:25:20 PDT
(In reply to David Bolter [:davidb] from comment #5)
> Actually hub, how about I go ahead and get this reviewed and landed, and you
> can do the additional support info in a follow up after 761589 is finished?

yeah sure.
Comment 7 David Bolter [:davidb] 2012-06-20 11:28:14 PDT
Comment on attachment 632391 [details] [diff] [review]
WIP (works)

Review of attachment 632391 [details] [diff] [review]:
-----------------------------------------------------------------

Adds accessibility activated yes/no info to about:support.
Comment 8 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-06-21 11:36:05 PDT
Comment on attachment 632391 [details] [diff] [review]
WIP (works)

I assume you've tested that this works (both disabled/enabled show up correctly as appropriate).

Rather than using "yes"/"no", you should use 1/0 like the Incremental GC string, so that this doesn't stick out too much in localized builds.
Comment 9 David Bolter [:davidb] 2012-06-22 08:26:03 PDT
(In reply to :Gavin Sharp (use gavin@gavinsharp.com for email) from comment #8)
> Comment on attachment 632391 [details] [diff] [review]
> WIP (works)
> 
> I assume you've tested that this works (both disabled/enabled show up
> correctly as appropriate).

Yes.

> Rather than using "yes"/"no", you should use 1/0 like the Incremental GC
> string, so that this doesn't stick out too much in localized builds.

Good catch. Will land with 1/0
Comment 11 Ed Morley [:emorley] 2012-06-28 01:09:50 PDT
https://hg.mozilla.org/mozilla-central/rev/7ef9568fbd40
Comment 12 Marco Zehe (:MarcoZ) on PTO until August 15 2012-06-28 09:07:09 PDT
Verified in Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/16.0 Firefox/16.0. This shows up in about:support.

Note You need to log in before you can comment on or make changes to this bug.